import { __awaiter } from "tslib";
import { NATIVE } from '../wrapper';
const INTEGRATION_NAME = 'Screenshot';
/** Adds screenshots to error events */
export const screenshotIntegration = () => {
    return {
        name: INTEGRATION_NAME,
        setupOnce: () => {
            // noop
        },
        processEvent,
    };
};
function processEvent(event, hint, client) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function* () {
        const hasException = event.exception && event.exception.values && event.exception.values.length > 0;
        if (!hasException || ((_b = (_a = client.getOptions()).beforeScreenshot) === null || _b === void 0 ? void 0 : _b.call(_a, event, hint)) === false) {
            return event;
        }
        const screenshots = yield NATIVE.captureScreenshot();
        if (screenshots && screenshots.length > 0) {
            hint.attachments = [...screenshots, ...((hint === null || hint === void 0 ? void 0 : hint.attachments) || [])];
        }
        return event;
    });
}
//# sourceMappingURL=screenshot.js.map